<?php

/////////////////////////////////////////////////////////////////////////////
// General information
/////////////////////////////////////////////////////////////////////////////

$app['basename'] = 'gateway_management';
$app['version'] = '2.5.2';
$app['release'] = '1';
$app['vendor'] = 'ClearCenter';
$app['packager'] = 'Roger Peters';
$app['license'] = 'All rights reserved';
$app['license_core'] = 'All rights reserved';
$app['description'] = lang('gateway_management_app_description');
$app['menu_enabled'] = FALSE;

/////////////////////////////////////////////////////////////////////////////
// App name and categories
/////////////////////////////////////////////////////////////////////////////

$app['name'] = lang('gateway_management_app_name');
$app['category'] = lang('base_category_gateway');
$app['subcategory'] = lang('base_subcategory_filtering');

/////////////////////////////////////////////////////////////////////////////
// Packaging
/////////////////////////////////////////////////////////////////////////////

$app['core_conflicts'] = array(
    'app-gateway-management-community-core < 1:2.5.0-1',
    'app-gateway-management-home-core < 1:2.5.0-1',
    'app-gateway-management-business-core < 1:2.5.0-1',
);

$app['core_requires'] = array(
    'adamone >= 3.5-25',
    'dnsmasq >= 2.67'
);

$app['core_directory_manifest'] = array(
    '/etc/adamnet' => array()
);

$app['core_file_manifest'] = array(
    'ctl' => array('target' => '/usr/clearos/bin/anctl', 'mode' => '0755'),
    'cert.pem' => array('target' => '/etc/adamnet/cert.pem'),
    'clearsync-firewall.conf' => array('target' => '/etc/clearsync.d/filewatch-adamnet-firewall.conf'),
    'clearsync-network.conf' => array('target' => '/etc/clearsync.d/filewatch-adamnet-network.conf'),
    'clearsync-webserver.conf' => array('target' => '/etc/clearsync.d/filewatch-adamnet-webserver.conf'),
    'daemon-mgr.php' => array('target' => '/var/clearos/base/daemon/anmgr.php'),
    'dnsmasq-rules' => array('target' => '/etc/dnsmasq.d/app-adamone.conf'),
    'firewall-rules' => array('target' => '/etc/clearos/firewall.d/10-adamnet'),
    'sysctl-rules' => array('target' => '/usr/lib/sysctl.d/10-adamnet.conf'),
);

$app['delete_dependency'] = array(
    'app-gateway-management-core',
    'adamone'
);
